# Uses of Interface
org.lwjgl.util.ReadableDimension

Packages that use ReadableDimension
Package
Description
org.lwjgl.util

## Uses of ReadableDimension in org.lwjgl.util

Subinterfaces of ReadableDimension in org.lwjgl.util
Modifier and Type
Interface
Description
`interface`
`ReadableRectangle`
Readonly interface for Rectangles
Classes in org.lwjgl.util that implement ReadableDimension
Modifier and Type
Class
Description
`final class`
`Dimension`
A 2D integer Dimension class, which looks remarkably like an AWT one.
`final class`
`Rectangle`
A 2D integer Rectangle class which looks remarkably like an AWT one.
Methods in org.lwjgl.util with parameters of type ReadableDimension
Modifier and Type
Method
Description
`void`
Rectangle.`setBounds(ReadablePoint p, ReadableDimension d)`
`void`
WritableRectangle.`setBounds(ReadablePoint location, ReadableDimension size)`
Sets the bounds of the rectangle
`void`
Dimension.`setSize(ReadableDimension d)`
`void`
Rectangle.`setSize(ReadableDimension d)`
`void`
WritableDimension.`setSize(ReadableDimension d)`
Constructors in org.lwjgl.util with parameters of type ReadableDimension
Modifier
Constructor
Description
``
`Dimension(ReadableDimension d)`
Constructor for Dimension.
``
`Rectangle(ReadablePoint p, ReadableDimension d)`
Constructor for Rectangle.